import { OpenAIEmbedding } from "../openai/Embedding.js";
import { OllamaCapabilities } from "./Capabilities.js";
export class OllamaEmbedding extends OpenAIEmbedding {
    getProviderName() {
        return "ollama";
    }
    validateModel(model) {
        if (!OllamaCapabilities.supportsEmbeddings(model)) {
            throw new Error(`Model ${model} does not support embeddings.`);
        }
    }
}
